Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657999 - lid test fail on RHEL4.9
Summary: lid test fail on RHEL4.9
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Retired
Component: Test Suite (tests)
Version: 1.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-29 03:13 UTC by chen yuwen
Modified: 2011-01-05 20:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-05 20:24:33 UTC


Attachments (Terms of Use)
v7 lid test fail (914 bytes, application/octet-stream)
2010-11-30 02:44 UTC, chen yuwen
no flags Details

Description chen yuwen 2010-11-29 03:13:59 UTC
Description of problem:
#v7 run -t lid
<output>
Running ./lid.py:
Traceback (most recent call last):
  File "./lid.py", line 109, in ?
    returnValue = test.do(sys.argv)
  File "/usr/share/v7/lib/v7/test.py", line 255, in do
    return self.run()
  File "./lid.py", line 61, in run
    if not self.checkLid(checkForOpen=True):
  File "./lid.py", line 50, in checkLid
    device = self.getDevice()
  File "./lid.py", line 43, in getDevice
    device = hal.getDevice(self.getUDI())
  File "/usr/share/v7/lib/v7/hal.py", line 38, in getDevice
    return HalDevice(self.getDeviceProperties(udi))
  File "/usr/share/v7/lib/v7/hal.py", line 48, in getDeviceProperties
    return self.__GetDevice(udi).GetAllProperties()
  File "/usr/share/v7/lib/v7/hal.py", line 41, in __GetDevice
    dev_obj=self.bus.get_object('org.freedesktop.Hal',udi)
AttributeError: SystemBus instance has no attribute 'get_object'
...finished running ./lid.py, exit code=1
</output>

Version-Release number of selected component (if applicable):
OS: RHEL4.9
V7: v7-1.2-3

How reproducible:
100%

Steps to Reproduce:
1.install RHEL4.9.
2.install v7.
3.run command: v7 run -t lid
  
Actual results:
FAIL

Expected results:
PASS

Additional info:

Comment 1 Greg Nichols 2010-11-29 14:06:37 UTC
Please attach /var/v7/results.xml

Comment 2 chen yuwen 2010-11-30 02:44:29 UTC
Created attachment 463627 [details]
v7 lid test fail

Comment 3 Rob Landry 2010-11-30 15:59:56 UTC
RHEL4 is not supported on v7-1.2 (it was not tested); does the same issue occur with v7-1.1?

Comment 4 chen yuwen 2010-12-02 03:03:25 UTC
The same error occur on v7-1.1-24.


Note You need to log in before you can comment on or make changes to this bug.